package com.ruoyi.interfaces.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 数据集对象 md_data_set
 * 
 * @author 朱得糠
 * @date 2025-07-30
 */
public class MdDataSet extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 数据集标识 */
    private String dsCode;

    /** 目录标识 */
    private String cateId;

    /** 数据集中文名 */
    @Excel(name = "数据集中文名")
    private String dsName;

    /** 数据集类型 */
    @Excel(name = "数据集类型")
    private String dsType;

    /** 顺序 */
    @Excel(name = "顺序")
    private Long dsSort;

    /** 图标 */
    @Excel(name = "图标")
    private String dsIcon;

    /** 数据集说明 */
    @Excel(name = "数据集说明")
    private String dsNote;

    public void setDsCode(String dsCode) 
    {
        this.dsCode = dsCode;
    }

    public String getDsCode() 
    {
        return dsCode;
    }
    public void setCateId(String cateId) 
    {
        this.cateId = cateId;
    }

    public String getCateId() 
    {
        return cateId;
    }
    public void setDsName(String dsName) 
    {
        this.dsName = dsName;
    }

    public String getDsName() 
    {
        return dsName;
    }
    public void setDsType(String dsType) 
    {
        this.dsType = dsType;
    }

    public String getDsType() 
    {
        return dsType;
    }
    public void setDsSort(Long dsSort) 
    {
        this.dsSort = dsSort;
    }

    public Long getDsSort() 
    {
        return dsSort;
    }
    public void setDsIcon(String dsIcon) 
    {
        this.dsIcon = dsIcon;
    }

    public String getDsIcon() 
    {
        return dsIcon;
    }
    public void setDsNote(String dsNote) 
    {
        this.dsNote = dsNote;
    }

    public String getDsNote() 
    {
        return dsNote;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("dsCode", getDsCode())
            .append("cateId", getCateId())
            .append("dsName", getDsName())
            .append("dsType", getDsType())
            .append("dsSort", getDsSort())
            .append("dsIcon", getDsIcon())
            .append("dsNote", getDsNote())
            .toString();
    }
}
